aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d/init.d/functions
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>1999-02-04 01:03:34 +0000
committerBill Nottingham <notting@redhat.com>1999-02-04 01:03:34 +0000
commite8d2f95c03d1df94ca6ab9bab11f0f1d8e8c5893 (patch)
tree3b299a1b638cf16e4d9574318b683851395f6e4c /rc.d/init.d/functions
parent2aa519f20375260f6e22d408e8bce7fabf2140b6 (diff)
downloadinitscripts-e8d2f95c03d1df94ca6ab9bab11f0f1d8e8c5893.tar
initscripts-e8d2f95c03d1df94ca6ab9bab11f0f1d8e8c5893.tar.gz
initscripts-e8d2f95c03d1df94ca6ab9bab11f0f1d8e8c5893.tar.bz2
initscripts-e8d2f95c03d1df94ca6ab9bab11f0f1d8e8c5893.tar.xz
initscripts-e8d2f95c03d1df94ca6ab9bab11f0f1d8e8c5893.zip
bugfixes...
Diffstat (limited to 'rc.d/init.d/functions')
-rwxr-xr-xrc.d/init.d/functions11
1 files changed, 4 insertions, 7 deletions
diff --git a/rc.d/init.d/functions b/rc.d/init.d/functions
index 525ecc6d..c3b42a65 100755
--- a/rc.d/init.d/functions
+++ b/rc.d/init.d/functions
@@ -79,18 +79,18 @@ killproc() {
[ $BOOTUP != "color" ] && echo -n $base
if [ "$notset" = 1 ] ; then
# TERM first, then KILL if not dead
- kill -TERM $pid
+ kill -TERM $pid && success -n "$base shutdown" || failure -n "$base shutdown"
usleep 100000
if ps h $pid >/dev/null 2>&1 ; then
sleep 1
- if ps h $pid >/dev/null 2>&1
+ if ps h $pid >/dev/null 2>&1 ; then
sleep 3
- kill -KILL $pid && success "$base shutdown" || failure "$base shutdown"
+ kill -KILL $pid && success -n "$base shutdown" || failure -n "$base shutdown"
fi
fi
# use specified level only
else
- kill $killlevel $pid && success "$base shutdown" || failure "$base shutdown"
+ kill $killlevel $pid && success -n "$base shutdown" || failure -n "$base shutdown"
fi
else
failure -n "$base shutdown"
@@ -263,6 +263,3 @@ confirm() {
;;
esac
}
-
-
-